SKB_FIND_TEXT(9)

NAME
skb_find_text - Find a text pattern in skb data

SYNOPSIS

unsigned int skb_find_text (struct sk_buff * skb, unsigned int from, unsigned int to, struct ts_config * config, struct ts_state * state);

ARGUMENTS

skb the buffer to look in

from
    search offset

to  search limit

config
    textsearch configuration

state
    uninitialized textsearch state variable

DESCRIPTION

Finds a pattern in the skb data according to the specified textsearch configuration. Use textsearch_next to retrieve subsequent occurrences of the pattern. Returns the offset to the first occurrence or UINT_MAX if no match was found.